aboutsummaryrefslogtreecommitdiff
path: root/package/kodi
diff options
context:
space:
mode:
authorGravatar Yann E. MORIN <yann.morin.1998@free.fr>2015-01-19 00:13:30 +0100
committerGravatar Peter Korsgaard <peter@korsgaard.com>2015-01-19 13:23:22 +0100
commit43fbfc30c8fdc74341ec413c89d4113e13a881ed (patch)
treed8dc50013a68a233df539a1883b4d730e5475712 /package/kodi
parent3ac6390abd6dd304987116bd35ee4f72361dbb12 (diff)
downloadbuildroot-43fbfc30c8fdc74341ec413c89d4113e13a881ed.tar.gz
buildroot-43fbfc30c8fdc74341ec413c89d4113e13a881ed.tar.bz2
package/kodi: add missing dependency on libdrm
When building Kodi with X11 support, libdrm is a mandatory dependency, and it uses pkg-config to find it. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'package/kodi')
-rw-r--r--package/kodi/Config.in1
-rw-r--r--package/kodi/kodi.mk4
2 files changed, 4 insertions, 1 deletions
diff --git a/package/kodi/Config.in b/package/kodi/Config.in
index 7d89b5b4b1..5141629711 100644
--- a/package/kodi/Config.in
+++ b/package/kodi/Config.in
@@ -85,6 +85,7 @@ menuconfig BR2_PACKAGE_KODI
select BR2_PACKAGE_TAGLIB
select BR2_PACKAGE_TIFF
select BR2_PACKAGE_TINYXML
+ select BR2_PACKAGE_LIBDRM if BR2_PACKAGE_KODI_GL
select BR2_PACKAGE_XLIB_XMU if BR2_PACKAGE_KODI_GL # needed by rsxs screensaver
select BR2_PACKAGE_XLIB_XRANDR if BR2_PACKAGE_KODI_GL
select BR2_PACKAGE_XLIB_XT if BR2_PACKAGE_KODI_GL # needed by rsxs screensaver
diff --git a/package/kodi/kodi.mk b/package/kodi/kodi.mk
index 1fb7256171..3e649f7bb1 100644
--- a/package/kodi/kodi.mk
+++ b/package/kodi/kodi.mk
@@ -77,9 +77,11 @@ endif
# quote from kodi/configure.in: "GLES overwrites GL if both set to yes."
# we choose the opposite because opengl offers more features, like libva support
+# GL means X11, and under X11, Kodi needs libdrm; libdrm is forcefully selected
+# by a modular Xorg server, which Kodi already depends on.
ifeq ($(BR2_PACKAGE_KODI_GL),y)
KODI_DEPENDENCIES += libglew libglu libgl sdl_image xlib_libX11 xlib_libXext \
- xlib_libXmu xlib_libXrandr xlib_libXt
+ xlib_libXmu xlib_libXrandr xlib_libXt libdrm
KODI_CONF_OPTS += --enable-gl --enable-sdl --enable-x11 --enable-xrandr --disable-gles
ifeq ($(BR2_PACKAGE_KODI_RSXS),y)
# fix rsxs compile